Re: patching...

David Mihm (davemann@ionet.net)
Mon, 5 Apr 1999 17:59:41 -0500 (CDT)


On Mon, 5 Apr 1999, Coplan wrote:

! Okay...I got all the latests patches for patchlevel 1.7.75
! 
! I have been having problems patching...what should I do in this case?  
! 
! I did a "patch -p1 < patchname"
! and I get a lot of errors.  For one, I often get an error when it needs to
! patch ./lib/parser.c, which doesn't really exist.  I tried to direct the
! patch program to ./lib/parse.c, but I"m assuming that isn't what I need,
! considering it didn't work.
! 
! What is the proper way to patch Afterstep?

	All patches are known to apply cleanly to the base snapshot tree,
when applied in sequential order.  I suggest you unarchive the tarball
again, mv the patches to this directory, start the patching by:

# gzip -cd 1.7.75-*.patch.gz | patch -p1

If you have files that aren't gzip'd, use:

# cat 1.7.75-*.patch | patch -p1

	If this doesn't work for you , verify that the file type correctly
matches the extension.

+--------------------------------------------------------------------+
| d a v i d  @  m i h m                         reality.sys corrupt! |
| davemann  @ ionet.net                        reboot universe(y,n)? |
| webmaster @ afterstep.org                               ICQ:906859 |
| ftpmaster @ afterstep.org                www.the-site.loonybin.net |
+--------------------------------------------------------------------+
           E4 90 15 ED E5 9F 18 8A B0 CC FF 68 61 36 4A 6F


--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html